//=============================================================================
// Tech demo manta
//=============================================================================
class TechDemoManta expands manta;

#exec MESH IMPORT MESH=techdemomanta ANIVFILE=MODELS\techdemomanta_a.3D DATAFILE=MODELS\techdemomanta_d.3D X=0 Y=0 Z=0
#exec MESH ORIGIN MESH=techdemomanta X=0 Y=-100 Z=100 YAW=64
#exec MESH SEQUENCE MESH=techdemomanta SEQ=All  STARTFRAME=0  NUMFRAMES=152
#exec MESH SEQUENCE MESH=techdemomanta SEQ=Fly  STARTFRAME=0  NUMFRAMES=20
#exec MESH SEQUENCE MESH=techdemomanta SEQ=Sting  STARTFRAME=20  NUMFRAMES=30
#exec MESH SEQUENCE MESH=techdemomanta SEQ=Whip  STARTFRAME=50  NUMFRAMES=30
#exec MESH SEQUENCE MESH=techdemomanta SEQ=Death  STARTFRAME=81  NUMFRAMES=25
#exec MESH SEQUENCE MESH=techdemomanta SEQ=Landing  STARTFRAME=106  NUMFRAMES=25
#exec MESH SEQUENCE MESH=techdemomanta SEQ=TakeOff  STARTFRAME=132  NUMFRAMES=20

#exec TEXTURE IMPORT NAME=Jtechdemomanta1 FILE=MODELS\techdemomanta.PCX FAMILY="Skins" PALETTE=Jtechdemomanta1 FLAGS=2

#exec MESHMAP NEW   MESHMAP=TechDemoManta MESH=TechDemoManta 
#exec MESHMAP SCALE MESHMAP=TechDemoManta X=0.05 Y=0.05 Z=0.1

#exec MESHMAP SETTEXTURE MESHMAP=TechDemoManta NUM=2 TEXTURE=JTechDemoManta1



defaultproperties
{
    Mesh=LodMesh'TechDemoPawns.Techdemomanta'
    DrawType=DT_Mesh
}