//=============================================================================
// TechDemoGasbag
//=============================================================================
class TechDemogasbag expands gasbag;


#exec MESH IMPORT MESH=techdemogasbag ANIVFILE=MODELS\techdemogasbag_a.3D DATAFILE=MODELS\techdemogasbag_d.3D X=0 Y=0 Z=0
#exec MESH ORIGIN MESH=techdemogasbag X=0 Y=150 Z=0 YAW=64

#exec MESH SEQUENCE MESH=techdemogasbag SEQ=All      STARTFRAME=0  NUMFRAMES=226
#exec MESH SEQUENCE MESH=techdemogasbag SEQ=2Punch   STARTFRAME=0  NUMFRAMES=24
#exec MESH SEQUENCE MESH=techdemogasbag SEQ=Belch    STARTFRAME=24 NUMFRAMES=29
#exec MESH SEQUENCE MESH=techdemogasbag SEQ=Deflate  STARTFRAME=53 NUMFRAMES=31
#exec MESH SEQUENCE MESH=techdemogasbag SEQ=Fiddle   STARTFRAME=84 NUMFRAMES=30
#exec MESH SEQUENCE MESH=techdemogasbag SEQ=Fighter  STARTFRAME=114 NUMFRAMES=1
#exec MESH SEQUENCE MESH=techdemogasbag SEQ=Float    STARTFRAME=115 NUMFRAMES=25
#exec MESH SEQUENCE MESH=techdemogasbag SEQ=Grab     STARTFRAME=140 NUMFRAMES=40
#exec MESH SEQUENCE MESH=techdemogasbag SEQ=Pound    STARTFRAME=180 NUMFRAMES=24
#exec MESH SEQUENCE MESH=techdemogasbag SEQ=T1       STARTFRAME=204 NUMFRAMES=5
#exec MESH SEQUENCE MESH=techdemogasbag SEQ=T2       STARTFRAME=209 NUMFRAMES=9
#exec MESH SEQUENCE MESH=techdemogasbag SEQ=T3       STARTFRAME=218 NUMFRAMES=4
#exec MESH SEQUENCE MESH=techdemogasbag SEQ=T4       STARTFRAME=222 NUMFRAMES=4

#exec TEXTURE IMPORT NAME=GasBod FILE=MODELS\gasbag1.PCX FAMILY="Skins" FLAGS=2
#exec TEXTURE IMPORT NAME=GasArm FILE=MODELS\gasbag2.PCX FAMILY="Skins" PALETTE=techdemogasbag1 FLAGS=2

#exec MESHMAP NEW   MESHMAP=techdemogasbag MESH=techdemogasbag 
#exec MESHMAP SCALE MESHMAP=techdemogasbag X=0.05 Y=0.05 Z=0.1

#exec MESHMAP SETTEXTURE MESHMAP=techdemogasbag NUM=5 TEXTURE=GasBod 
#exec MESHMAP SETTEXTURE MESHMAP=techdemogasbag NUM=6 TEXTURE=GasArm



defaultproperties
{
    Mesh=LodMesh'TechDemoPawns.Techdemogasbag'
}