//=============================================================================
// Tech demo Krall
//=============================================================================
class TechDemoKrall expands techdemoclass;

#exec MESH IMPORT MESH=techdemokrall ANIVFILE=MODELS\techdemokrall_a.3D DATAFILE=MODELS\techdemokrall_d.3D X=0 Y=0 Z=0
#exec MESH ORIGIN MESH=techdemokrall X=70 Y=350 Z=-80 YAW=64

#exec MESH SEQUENCE MESH=techdemokrall SEQ=All          STARTFRAME=0   NUMFRAMES=254 //424
#exec MESH SEQUENCE MESH=techdemokrall SEQ=Breath       STARTFRAME=0   NUMFRAMES=29
#exec MESH SEQUENCE MESH=techdemokrall SEQ=Die1         STARTFRAME=29  NUMFRAMES=45
#exec MESH SEQUENCE MESH=techdemokrall SEQ=Fighter      STARTFRAME=74  NUMFRAMES=1
#exec MESH SEQUENCE MESH=techdemokrall SEQ=Hit          STARTFRAME=75  NUMFRAMES=14
#exec MESH SEQUENCE MESH=techdemokrall SEQ=Look         STARTFRAME=89  NUMFRAMES=44
#exec MESH SEQUENCE MESH=techdemokrall SEQ=Shoot1       STARTFRAME=133 NUMFRAMES=24
#exec MESH SEQUENCE MESH=techdemokrall SEQ=Shoot2       STARTFRAME=157 NUMFRAMES=44
#exec MESH SEQUENCE MESH=techdemokrall SEQ=Stand        STARTFRAME=201 NUMFRAMES=1
#exec MESH SEQUENCE MESH=techdemokrall SEQ=Strike1      STARTFRAME=202 NUMFRAMES=20
#exec MESH SEQUENCE MESH=techdemokrall SEQ=Strike2      STARTFRAME=222 NUMFRAMES=23
#exec MESH SEQUENCE MESH=techdemokrall SEQ=Strike3      STARTFRAME=245 NUMFRAMES=29
#exec MESH SEQUENCE MESH=techdemokrall SEQ=T1           STARTFRAME=274 NUMFRAMES=4
#exec MESH SEQUENCE MESH=techdemokrall SEQ=T2           STARTFRAME=278 NUMFRAMES=9
#exec MESH SEQUENCE MESH=techdemokrall SEQ=T3           STARTFRAME=287 NUMFRAMES=14
#exec MESH SEQUENCE MESH=techdemokrall SEQ=T4           STARTFRAME=301 NUMFRAMES=9
#exec MESH SEQUENCE MESH=techdemokrall SEQ=Throw        STARTFRAME=310 NUMFRAMES=49
#exec MESH SEQUENCE MESH=techdemokrall SEQ=Twirl        STARTFRAME=359 NUMFRAMES=34
#exec MESH SEQUENCE MESH=techdemokrall SEQ=Walk         STARTFRAME=393 NUMFRAMES=29
#exec MESH SEQUENCE MESH=techdemokrall SEQ=Footup       STARTFRAME=422 NUMFRAMES=1

#exec TEXTURE IMPORT NAME=jtechdemokrall FILE=MODELS\techdemokrall.PCX Group=Skins FLAGS=2

#exec MESHMAP NEW   MESHMAP=techdemokrall MESH=techdemokrall 
#exec MESHMAP SCALE MESHMAP=techdemokrall X=0.08 Y=0.08 Z=0.16

#exec MESHMAP SETTEXTURE MESHMAP=techdemokrall NUM=1 TEXTURE=jtechdemokrall


defaultproperties
{
    Mesh=LodMesh'TechDemoPawns.Techdemokrall'
}